const assert = require('assert');
const { When, Then } = require('@cucumber/cucumber');

Then('a successful response is returned with status {int}', function(expectedStatus) {
  this.call
  .then(response => {
    assert.equal(response.status, expectedStatus);
  });
});

Then('an error response is returned with status {int}', function(expectedStatus) {
  this.call
  .catch((error) => {
    assert.equal(error.response.status, expectedStatus);
  });
});